/* Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.flowable.app.idm.model;

import java.util.List;

import org.flowable.idm.api.Group;
import org.flowable.idm.api.User;

public class UserInformation {
  
  protected User user;
  protected List<Group> groups;
  protected List<String> privileges;
  
  public UserInformation() {
    
  }
  
  public UserInformation(User user, List<Group> groups, List<String> privileges) {
    this.user = user;
    this.groups = groups;
    this.privileges = privileges;
  }
  
  public User getUser() {
    return user;
  }
  public void setUser(User user) {
    this.user = user;
  }
  public List<Group> getGroups() {
    return groups;
  }
  public void setGroups(List<Group> groups) {
    this.groups = groups;
  }
  public List<String> getPrivileges() {
    return privileges;
  }
  public void setPrivileges(List<String> privileges) {
    this.privileges = privileges;
  }

}
